function 装备回收在线()
走到(335,338,1)
对话NPC("【装备回收】")
等待(1000)
passcode=匹配内容(NPC对话内容,[[(\d\d\d\d\d)]])   
输出信息(passcode)         
合成命令("@@CheckNo",passcode)
等待(1500)  
选择("@玉兔套装1")
等待(500)
选择("@刺影套装1")
等待(500)
选择("@神龙套装1")
等待(500)
选择("@真龙套装1")
等待(500)
选择("@青鸾套装1")
等待(500)
选择("@惊天套装1")
等待(500)
选择("@离火套装1")
等待(1000)
end


function 回城()
等待(3000)
输出信息(当前地图编号)
if 当前地图编号=="3" then
if 相距(取整型变量信息("当前X"),取整型变量信息("当前Y"),333,333)>20 then
	使用物品("盟重传送石")
	等待(5000)
else
	走到(333,333,3)
end
else 
使用物品("盟重传送石")
等待(4000)
end
停止战斗()
end


function 出发()
开启穿人穿怪()
走到(331,337,1)
关闭穿人穿怪()
对话NPC("刺影遗迹(免费)")
等待(1000)
选择("@刺影遗迹2")
等待(1000)
系统显示("准备战斗",255,16777215)
系统显示("/光头强 熊大已到位，请指示！",255,16777215)
end



系统显示("开开心心去挂机了",255,16777215) 
if 回收状态=="需要回收" and 当前地图编号~="3" then
停止战斗()
等待(1500)
装备回收在线()
回收状态="无物品回收"
开始战斗()
else
输出信息("挂机脚本执行到开头")
回城()
装备回收在线()
出发()
开始战斗()
输出信息("挂机脚本执行到尾部")
end